{
  "name": "zoomsense-plugin-slides",
  "version": "1.0.7",
  "description": "Display multiple slides of Markdown formatted text. Slides can include areas where an input can be entered live from the facilitator dashboard, using the format ::: field:Title :::. Use ::: s-field:Title ::: to save data against the current meeting sequence data.",
  "main": "index.js",
  "scripts": {
    "test": "echo \"Error: no test specified\" && exit 1"
  },
  "repository": {
    "type": "git",
    "url": "git+https://gitlab.com/action-lab-aus/zoomsense/zoomsense-plugin-slides.git"
  },
  "author": "ZoomSense",
  "license": "MIT",
  "zoomsense": {
    "displayname": "Slides",
    "requires": {},
    "icon": "slideshow",
    "exports": [
      "Dashboard",
      "Overlay"
    ],
    "settings": {
      "content": {
        "desc": "List of slide content. Can include data input blocks.",
        "type": "Array[Markdown]",
        "required": true
      },
      "style": {
        "desc": "Additional CSS to apply to each slide",
        "type": "String"
      },
      "ratio": {
        "desc": "Aspect ratio of slides",
        "type": "Float",
        "default": "1.334"
      },
      "annotation": {
        "desc": "Allow annotation on this slide.",
        "type": "String",
        "default": null,
        "children": {
          "type": {
            "desc": "Set to 'meeting' for annotation at the meeting level and 'sequence' for annotation at the sequence level.",
            "type": "String"
          },
          "prefix": {
            "desc": "Prefix for variable at sequence level",
            "type": "String",
            "default": "*"
          }
        }
      }
    }
  }
}
